Sketcher SketchObject/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{TitleProperty|Visibility automation}} * {{PropertyView|Editing Workbench}}: normalmente {{incode|SketcherWorkbench}}, è il nome dell'ambiente da attivare durante la modific...")
(Updating to match new version of source page)
(12 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{TOCright}}


== Introduzione ==
== Introduzione ==
Line 7: Line 8:
Un [[Sketcher_SketchObject/it|Sketcher SketchObject]], o formalmente un {{incode|Sketcher::SketchObject}}, è l'elemento base per creare oggetti 2D con l'ambiente [[Sketcher_Workbench/it|Sketcher]].
Un [[Sketcher_SketchObject/it|Sketcher SketchObject]], o formalmente un {{incode|Sketcher::SketchObject}}, è l'elemento base per creare oggetti 2D con l'ambiente [[Sketcher_Workbench/it|Sketcher]].


<div class="mw-translate-fuzzy">
{{Incode|Sketcher::SketchObject}} deriva da [[Part_Part2DObject/it|Part Part2DObject]], il che significa che è un oggetto [[Part Feature/it|Part Feature]] specializzato per la geometria 2D. Come Part2DObject, anche SketchObject può essere collegato a piani e facce. Inoltre, SketchObject è in grado di gestire i vincoli geometrici delle linee e delle curve disegnate al suo interno.
{{Incode|Sketcher::SketchObject}} deriva da [[Part_Part2DObject/it|Part Part2DObject]], il che significa che è un oggetto [[Part Feature/it|Part Feature]] specializzato per la geometria 2D. Come Part2DObject, anche SketchObject può essere collegato a piani e facce. Inoltre, SketchObject è in grado di gestire i vincoli geometrici delle linee e delle curve disegnate al suo interno.
</div>


[[File:FreeCAD_core_objects.svg|800px]]
[[File:FreeCAD_core_objects.svg|800px]]


<div class="mw-translate-fuzzy">
{{Caption|Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe {{incode|Sketcher::SketchObject}} è specializzata per le forme 2D e inoltre può gestire i vincoli.}}
{{Caption|Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe {{incode|Sketcher::SketchObject}} è specializzata per le forme 2D e inoltre può gestire i vincoli.}}
</div>


== Utilizzo ==
==Utilizzo==


# Passare all'ambiente [[Sketcher Workbench/it|Sketcher]].
# Passare all'ambiente [[Sketcher Workbench/it|Sketcher]].
Line 20: Line 25:
# Premere {{Button|OK}}.
# Premere {{Button|OK}}.


<div class="mw-translate-fuzzy">
Sebbene SketchObject possa essere utilizzato da solo per disegnare su un piano, viene comunemente utilizzato insieme a [[PartDesign Workbench/it|PartDesign]] per creare solidi estrusi.
Sebbene SketchObject possa essere utilizzato da solo per disegnare su un piano, viene comunemente utilizzato insieme a [[PartDesign Workbench/it|PartDesign]] per creare solidi estrusi.
</div>


<div class="mw-translate-fuzzy">
# Passare in [[PartDesign Workbench/it|PartDesign]].
# Passare in [[PartDesign Workbench/it|PartDesign]].
# Premere {{Button|[[File:PartDesign_Body.svg|16px]] [[PartDesign_Body/it|Crea un corpo]]}}.
# Premere {{Button|[[File:PartDesign_Body.svg|16px]] [[PartDesign_Body/it|Crea un corpo]]}}.
Line 27: Line 35:
# {{MenuCommand|Selezione della funzione}}: piano XY (piano base), piano XZ (piano base) o piano YZ (piano base).
# {{MenuCommand|Selezione della funzione}}: piano XY (piano base), piano XZ (piano base) o piano YZ (piano base).
# Premere {{Button|OK}}.
# Premere {{Button|OK}}.
</div>


== Proprietà ==
== Proprietà ==
Line 32: Line 41:
Vedere [[Property/it|Proprietà]] per tutti i tipi di proprietà che possono avere gli oggetti con script.
Vedere [[Property/it|Proprietà]] per tutti i tipi di proprietà che possono avere gli oggetti con script.


<div class="mw-translate-fuzzy">
Un [[Sketcher_SketchObject|Sketcher SketchObject]] (classe {{incode|Sketcher::SketchObject}}) deriva da un [[Part_Part2DObject|Part Part2DObject]] ({{incode|Part::Part2DObject}}), quindi condivide tutte le proprietà di quest'ultimo.
Un [[Sketcher_SketchObject|Sketcher SketchObject]] (classe {{incode|Sketcher::SketchObject}}) deriva da un [[Part_Part2DObject|Part Part2DObject]] ({{incode|Part::Part2DObject}}), quindi condivide tutte le proprietà di quest'ultimo.
</div>


<div class="mw-translate-fuzzy">
Oltre alle proprietà descritte in [[Part_Part2DObject/it|Part Part2DObject]], il corpo di PartDesign ha le seguenti proprietà nell'[[property editor/it|editor delle proprietà]].
Oltre alle proprietà descritte in [[Part_Part2DObject/it|Part Part2DObject]], il corpo di PartDesign ha le seguenti proprietà nell'[[property editor/it|editor delle proprietà]].
</div>


=== Dati ===
=== Dati ===

{{TitleProperty|Attachment}}
* {{PropertyData|Map Mode}}: vedere [[Part Attachment/it|Part Attachment]] per ulteriori informazioni su tutte le modalità di associazione.


{{TitleProperty|Sketch}}
{{TitleProperty|Sketch}}

* {{PropertyData|Constraints}}: vincoli atribuiti, se esistono; altrimenti è un elenco {{incode|[]}} vuoto.
* {{PropertyData|Geometry|GeometryList|Hidden}}: a list of Part geometries that exist inside the sketch.
* {{PropertyData|Constraints|}}: named constraints, if they exist; otherwise it is an empty list {{incode|[]}}.
* {{PropertyData|External Geometry|LinkSubList}}: a list of Part geometries outside this Sketch that are used for reference.
* {{PropertyData|Fully Constrained|Bool|Hidden}}: (read-only) if {{TRUE}} the sketch is fully constrained.


===Vista===
===Vista===


<div class="mw-translate-fuzzy">
{{TitleProperty|Auto Constraints}}
{{TitleProperty|Auto Constraints}}
* {{PropertyView|Autoconstraints}}: se è {{TRUE}} prova ad impostare i vincoli quando viene disegnata la geometria.
* {{PropertyView|Autoconstraints}}: se è {{TRUE}} prova ad impostare i vincoli quando viene disegnata la geometria.
</div>

* {{PropertyView|Autoconstraints|Bool}}: if {{TRUE}} constraints are automatically added when geometry is drawn.
* {{PropertyView|Avoid Redundant|Bool}}: if {{TRUE}} redundant auto-constraints are avoided.

{{TitleProperty|Grid}}

* {{PropertyView|Grid Auto Size|Bool|Hidden}}: if {{TRUE}} the grid is resized based on the boundingbox of the geometry of the sketch.
* {{PropertyView|Grid Size|Length}}: the size of the spacing of the local grid lines in the [[3D_view|3D view]]; it defaults to {{value|10 mm}}.
* {{PropertyView|Grid Snap|Bool}}: if {{TRUE}} the grid can be used to snap points.
* {{PropertyView|Grid Style|Enumeration}}: the style of the grid lines; {{value|Dashed}} (default) or {{value|Light}}.
* {{PropertyView|Show Grid|Bool}}: if {{TRUE}} a grid local to the object will be displayed in the [[3D_view|3D view]]. This grid is independent of the [[Draft_ToggleGrid|Draft Grid]].
* {{PropertyView|Show Only In Edit Mode|Bool}}: if {{TRUE}} the grid is only displayed while the sketch is being edited.
* {{PropertyView|Tight Grid|Bool}}: if {{TRUE}} the local grid will be localized around the origin of the shape, otherwise it will extend itself more.
* {{PropertyView|max Number Of Lines|Integer}}: the maximum number of lines in the grid.


{{TitleProperty|Visibility automation}}

<div class="mw-translate-fuzzy">
{{TitleProperty|Visibility automation}}
{{TitleProperty|Visibility automation}}
* {{PropertyView|Editing Workbench}}: normalmente {{incode|SketcherWorkbench}}, è il nome dell'ambiente da attivare durante la modifica dello schizzo.
* {{PropertyView|Editing Workbench}}: normalmente {{incode|SketcherWorkbench}}, è il nome dell'ambiente da attivare durante la modifica dello schizzo.
Line 55: Line 88:
* {{PropertyView|Show Links}}: se è {{TRUE}} tutti gli oggetti utilizzati nei collegamenti alla geometria esterna vengono visualizzati quando si apre lo schizzo.
* {{PropertyView|Show Links}}: se è {{TRUE}} tutti gli oggetti utilizzati nei collegamenti alla geometria esterna vengono visualizzati quando si apre lo schizzo.
* {{PropertyView|Show Support}}: se è {{TRUE}} tutti gli oggetti a cui è associato questo schizzo vengono mostrati quando si apre lo schizzo.
* {{PropertyView|Show Support}}: se è {{TRUE}} tutti gli oggetti a cui è associato questo schizzo vengono mostrati quando si apre lo schizzo.
</div>


== Scripting ==
== Script ==


<div class="mw-translate-fuzzy">
{{Emphasis|See also:}} [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]], and [[scripted objects|scripted objects]].
{{Emphasis|Vedere anche:}} [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]], e [[scripted objects/it|script di oggetti]].
</div>


<div class="mw-translate-fuzzy">
See [[Part_Feature|Part Feature]] for the general information.
Vedere [[Part_Feature/it|Part Feature]] per le informazioni generali.
</div>

<div class="mw-translate-fuzzy">
Un oggetto Sketcher SketchObject viene creato con il metodo {{incode|addObject()}} del documento.
</div>


A Sketcher SketchObject is created with the {{incode|addObject()}} method of the document.
{{Code|code=
{{Code|code=
import FreeCAD as App
import FreeCAD as App


doc = App.newDocument()
doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Name")
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Sketch")
obj.Label = "Custom label"
obj.Label = "Custom label"
}}
}}


For [[Python|Python]] subclassing you should create the {{incode|Sketcher::SketchObjectPython}} object.
{{Sketcher Tools navi/it}}

{{Userdocnavi/it}}
{{Code|code=
import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", "CustomSketch")
obj.Label = "Custom label"
}}


{{Sketcher_Tools_navi{{#translation:}}}}
{{Document_objects_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 07:40, 22 February 2022

Other languages:

Introduzione

Un Sketcher SketchObject, o formalmente un Sketcher::SketchObject, è l'elemento base per creare oggetti 2D con l'ambiente Sketcher.

Sketcher::SketchObject deriva da Part Part2DObject, il che significa che è un oggetto Part Feature specializzato per la geometria 2D. Come Part2DObject, anche SketchObject può essere collegato a piani e facce. Inoltre, SketchObject è in grado di gestire i vincoli geometrici delle linee e delle curve disegnate al suo interno.

Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe Sketcher::SketchObject è specializzata per le forme 2D e inoltre può gestire i vincoli.

Utilizzo

  1. Passare all'ambiente Sketcher.
  2. Premere Nuovo schizzo.
  3. Selezionare un orientamento: piano XY, piano XZ o piano YZ. Opzionalmente scegliere anche Direzione inversa, e assegnare un valore di Offset.
  4. Premere OK.

Sebbene SketchObject possa essere utilizzato da solo per disegnare su un piano, viene comunemente utilizzato insieme a PartDesign per creare solidi estrusi.

  1. Passare in PartDesign.
  2. Premere Crea un corpo.
  3. Premere Crea uno schizzo.
  4. Selezione della funzione: piano XY (piano base), piano XZ (piano base) o piano YZ (piano base).
  5. Premere OK.

Proprietà

Vedere Proprietà per tutti i tipi di proprietà che possono avere gli oggetti con script.

Un Sketcher SketchObject (classe Sketcher::SketchObject) deriva da un Part Part2DObject (Part::Part2DObject), quindi condivide tutte le proprietà di quest'ultimo.

Oltre alle proprietà descritte in Part Part2DObject, il corpo di PartDesign ha le seguenti proprietà nell'editor delle proprietà.

Dati

Sketch

  • Dati (Hidden)Geometry (GeometryList): a list of Part geometries that exist inside the sketch.
  • DatiConstraints: named constraints, if they exist; otherwise it is an empty list [].
  • DatiExternal Geometry (LinkSubList): a list of Part geometries outside this Sketch that are used for reference.
  • Dati (Hidden)Fully Constrained (Bool): (read-only) if true the sketch is fully constrained.

Vista

Auto Constraints

  • VistaAutoconstraints: se è true prova ad impostare i vincoli quando viene disegnata la geometria.
  • VistaAutoconstraints (Bool): if true constraints are automatically added when geometry is drawn.
  • VistaAvoid Redundant (Bool): if true redundant auto-constraints are avoided.

Grid

  • Vista (Hidden)Grid Auto Size (Bool): if true the grid is resized based on the boundingbox of the geometry of the sketch.
  • VistaGrid Size (Length): the size of the spacing of the local grid lines in the 3D view; it defaults to 10 mm.
  • VistaGrid Snap (Bool): if true the grid can be used to snap points.
  • VistaGrid Style (Enumeration): the style of the grid lines; Dashed (default) or Light.
  • VistaShow Grid (Bool): if true a grid local to the object will be displayed in the 3D view. This grid is independent of the Draft Grid.
  • VistaShow Only In Edit Mode (Bool): if true the grid is only displayed while the sketch is being edited.
  • VistaTight Grid (Bool): if true the local grid will be localized around the origin of the shape, otherwise it will extend itself more.
  • Vistamax Number Of Lines (Integer): the maximum number of lines in the grid.

Visibility automation

Visibility automation

  • VistaEditing Workbench: normalmente SketcherWorkbench, è il nome dell'ambiente da attivare durante la modifica dello schizzo.
  • VistaHide Dependent: se è true tutti gli oggetti che dipendono dallo schizzo vengono nascosti quando si apre lo schizzo.
  • VistaRestore Camera: se è true la posizione della telecamera viene salvata prima di aprire lo schizzo e viene ripristinata quando lo si chiude.
  • VistaShow Links: se è true tutti gli oggetti utilizzati nei collegamenti alla geometria esterna vengono visualizzati quando si apre lo schizzo.
  • VistaShow Support: se è true tutti gli oggetti a cui è associato questo schizzo vengono mostrati quando si apre lo schizzo.

Script

Vedere Part Feature per le informazioni generali.

Un oggetto Sketcher SketchObject viene creato con il metodo addObject() del documento.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Sketch")
obj.Label = "Custom label"

For Python subclassing you should create the Sketcher::SketchObjectPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", "CustomSketch")
obj.Label = "Custom label"